package com.company.example.db;

import org.jdesigner.platform.db.Persistence;
import org.jdesigner.platform.db.PersistenceManager;

/**
 * <B>Base DAO</B>
 * 
 * @author SangBoo Lee
 * 
 */
abstract public class BaseDAO {

	public static final String PERSISTENCE_ID = "EXAMPLE.PERSISTENCE";

	public static final String INSERT_DATE_COLUMN = "insert_date";

	public static final String LAST_UPDATE_DATE_COLUMN = "last_update_date";

	/**
	 * Persistence를 반환한다.
	 * 
	 * @return
	 */
	public Persistence getPersistence() {
		return PersistenceManager.getPersistence(PERSISTENCE_ID);
	}

	/**
	 * NamedQuery XML 파일의 클래스패스 경로를 반환한다.
	 * 
	 * @param name
	 *            XML 파일 명
	 * @return
	 */
	public String getQueryPath(String name) {
		if (!name.endsWith(".xml")) {
			name = name + ".xml";
		}
		return "classpath:" + this.getClass().getPackage().getName().replaceAll("\\.", "/") + "/" + name;
	}

}
