package com.company.example.db.sample;

import java.util.List;
import java.util.Map;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

import org.jdesigner.platform.data.Page;
import org.jdesigner.platform.db.query.NamedQuery;
import org.jdesigner.platform.db.query.TableQuery;
import org.jdesigner.platform.db.util.QueryPath;
import org.jdesigner.platform.exception.DatabaseException;
import org.jdesigner.platform.util.DateUtils;

import com.company.example.db.BaseDAO;

/**
 * SampleDAO
 * 
 * @author leesangboo
 * 
 */
public class SampleDAO extends BaseDAO {

	private static final long serialVersionUID = 1L;

	private static final Log log = LogFactory.getLog(SampleDAO.class);

	public SampleDAO() {
		init(); //
	}

	private void init() {
		//
		log.info("DAO[" + this.getClass() + "] initialize...");
	}

	public Page selectPage(Map<String, Object> params, int start, int range, String sort, boolean desc) throws DatabaseException {
		NamedQuery query = getPersistence().newNamedQuery(QueryPath.getClasspath(this, "00001"), params);
		return query.execute().selectPage(start, range, sort, desc); //
	}

	public Map<String, Object> selectMap(Map<String, Object> params) throws DatabaseException {
		NamedQuery query = getPersistence().newNamedQuery(QueryPath.getClasspath(this, "00002"), params);
		return query.execute().selectMap(); //
	}

	public List<Map<String, Object>> selectList(Map<String, Object> params) throws DatabaseException {
		NamedQuery query = getPersistence().newNamedQuery(QueryPath.getClasspath(this, "00001"), params);
		return query.execute().selectList(); //
	}

	public void insert(Map<String, Object> params) throws DatabaseException {
		TableQuery query = getPersistence().newTableQuery("PLF_SAMPLE_TABLE", params);
		query.addParameter(INSERT_DATE_COLUMN, DateUtils.getToTimestamp());
		query.execute().insert();
	}

	public void update(Map<String, Object> params) throws DatabaseException {
		TableQuery query = getPersistence().newTableQuery("PLF_SAMPLE_TABLE", params, true);
		query.addParameter(LAST_UPDATE_DATE_COLUMN, DateUtils.getToTimestamp());
		query.execute().update();
	}

	public void delete(Map<String, Object> params) throws DatabaseException {
		TableQuery query = getPersistence().newTableQuery("PLF_SAMPLE_TABLE", params);
		query.execute().delete();
	}

}
