package com.company.example.web.sample;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

import org.jdesigner.platform.web.annotation.Action;
import org.jdesigner.platform.web.annotation.Forward;
import org.jdesigner.platform.web.annotation.View;
import org.jdesigner.platform.web.annotation.Web;
import org.jdesigner.platform.web.fileupload.MultiFileUpload;
import org.jdesigner.platform.web.fileupload.SingleFileUpload;
import org.jdesigner.platform.web.form.Form;
import org.jdesigner.platform.web.form.FormMode;
import org.jdesigner.platform.web.grid.Grid;
import org.jdesigner.platform.web.json.JSONResult;
import org.jdesigner.platform.web.table.Table;

import org.jdesigner.application.template.service.CommonServiceFactory;
import org.jdesigner.application.template.service.FileUploadService;

import com.company.example.web.BaseActionBean;

/**
 * 파일 업로드 예제
 * 
 * @author leesangboo
 * 
 */
@Web(namespace = "sample_fileupload_bean")
public class FileUploadBean extends BaseActionBean {

	private static final long serialVersionUID = 1L;

	private static final Log log = LogFactory.getLog(FileUploadBean.class);

	private Form form;
	private Form search;
	private Grid grid;
	private Table table;
	private JSONResult json;
	private SingleFileUpload single_fileupload;
	private MultiFileUpload multi_fileupload;

	private FileUploadService fileupload_service;

	public FileUploadBean() {
		init();//
	}

	private void init() {
		//
		log.info("ActionBean[" + this.getClass() + "] initialize...");
		//
		search = new Form();
		form = new Form();
		table = new Table();
		grid = new Grid();
		json = new JSONResult();
		single_fileupload = new SingleFileUpload();
		multi_fileupload = new MultiFileUpload();
		//
		fileupload_service = CommonServiceFactory.getFileUploadService();
	}

	@Action(path = "/sample/fileupload/add")
	@Forward(name = View.SUCCESS, content = "/sample/fileupload/form.jsp")
	public String add() throws Exception {
		form.setMode(FormMode.INSERT);
		return View.SUCCESS;
	}

	@Action(path = "/sample/fileupload/insert")
	@Forward(name = View.SUCCESS, content = "/sample/fileupload/form.jsp")
	public String insert() throws Exception {
		//
		fileupload_service.saveSingleFile(single_fileupload, "c:/temp/");
		fileupload_service.saveMultiFile(multi_fileupload, "c:/temp/");
		//
		super.setServerMessage("common.insert.success");
		init();
		return View.SUCCESS;
	}

	public Form getForm() {
		return form;
	}

	public void setForm(Form form) {
		this.form = form;
	}

	public Form getSearch() {
		return search;
	}

	public void setSearch(Form search) {
		this.search = search;
	}

	public Grid getGrid() {
		return grid;
	}

	public void setGrid(Grid grid) {
		this.grid = grid;
	}

	public Table getTable() {
		return table;
	}

	public void setTable(Table table) {
		this.table = table;
	}

	public JSONResult getJson() {
		return json;
	}

	public void setJson(JSONResult json) {
		this.json = json;
	}

	public SingleFileUpload getSingle_fileupload() {
		return single_fileupload;
	}

	public void setSingle_fileupload(SingleFileUpload singleFileupload) {
		single_fileupload = singleFileupload;
	}

	public MultiFileUpload getMulti_fileupload() {
		return multi_fileupload;
	}

	public void setMulti_fileupload(MultiFileUpload multiFileupload) {
		multi_fileupload = multiFileupload;
	}

}
