/*
 *  JDesigner (R) Web Application Development Platform 
 *  Copyright (C) 2010 JDesigner / SangBoo Lee (leesangboo@gmail.com)
 * 
 *  http://www.jdesigner.org/
 *  
 *  Please contact if you require licensing terms other
 *  than GPL-3 for this software.
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

package org.jdesigner.application.template.service;

import org.jdesigner.platform.util.PropertiesUtils;

/**
 * <B>Common Service Properties</B>
 * 
 * @author SangBoo Lee
 * @date 2009. 11. 19.
 * @since 1.0
 * 
 */
public class CommonServiceProperties {

	private static final String TEMPLATE_SERVICE_PROPERTIES = "/template-service.properties";

	private static PropertiesUtils pu;

	static {
		pu = new PropertiesUtils(TEMPLATE_SERVICE_PROPERTIES);
	}

	public CommonServiceProperties() {
		//
	}

	public static String getString(String key) {
		return pu.getProperty(key);
	}

	public static int getInt(String key) {
		return Integer.parseInt(getString(key));
	}

	public static boolean getBoolean(String key) {
		return Boolean.parseBoolean(getString(key));
	}

}
