/*
 *  JDesigner (R) Web Application Development Platform 
 *  Copyright (C) 2010 JDesigner / SangBoo Lee (leesangboo@gmail.com)
 * 
 *  http://www.jdesigner.org/
 *  
 *  Please contact if you require licensing terms other
 *  than GPL-3 for this software.
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

package org.jdesigner.application.template.service;

import java.util.Locale;

import javax.servlet.http.HttpServletRequest;

import org.apache.struts.util.MessageResources;

/**
 * <B>I18N 서비스</B>
 * 
 * @author leesangboo
 * 
 */
public interface I18NService {

	public Locale getCurrentLocale() throws CommonServiceException;

	public MessageResources getCurrentMessageResources() throws CommonServiceException;

	public String getMessage(String key) throws CommonServiceException;

	public String getMessage(String key, Object[] args) throws CommonServiceException;

	public String getMessage(String bundle, String key) throws CommonServiceException;

	public String getMessage(String bundle, String key, Object[] args) throws CommonServiceException;

	public String getMessage(HttpServletRequest request, String key) throws CommonServiceException;

	public String getMessage(HttpServletRequest request, String key, Object[] args) throws CommonServiceException;

	public String getMessage(HttpServletRequest request, String bundle, String key) throws CommonServiceException;

	public String getMessage(HttpServletRequest request, String bundle, String key, Object[] args) throws CommonServiceException;

}
