/*
 *  JDesigner (R) Web Application Development Platform 
 *  Copyright (C) 2010 JDesigner / SangBoo Lee (leesangboo@gmail.com)
 * 
 *  http://www.jdesigner.org/
 *  
 *  Please contact if you require licensing terms other
 *  than GPL-3 for this software.
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package org.jdesigner.application.template.service;

import java.util.List;
import java.util.Map;

import org.jdesigner.platform.data.Page;

/**
 * <B>사용자 서비스</B>
 * 
 * @author leesangboo
 * 
 */
public interface UserService {

	/**
	 * 사용자 로그인 계정 정보 페이지 리스트를 반환한다.
	 * 
	 * @param params
	 * @param start
	 * @param range
	 * @param sort
	 * @param desc
	 * @return
	 * @throws CommonServiceException
	 */
	public Page selectUserLoginPage(Map params, int start, int range, String sort, boolean desc) throws CommonServiceException;

	/**
	 * 사용자 로그인 계정 정보를 반환한다.
	 * 
	 * @param params
	 * @return
	 * @throws CommonServiceException
	 */
	public Map selectUserLogin(Map params) throws CommonServiceException;

	public List selectUserGroupList(Map params) throws CommonServiceException;

	public List selectUserRoleList(Map params) throws CommonServiceException;

	public void insertUserLogin(Map params, List auth_group_list, List auth_role_list) throws CommonServiceException;

	public void updateUserLogin(Map params, List auth_group_list, List auth_role_list) throws CommonServiceException;

	public void deleteUserLogin(Map params) throws CommonServiceException;

}
