/*
 *  JDesigner (R) Web Application Development Platform 
 *  Copyright (C) 2010 JDesigner / SangBoo Lee (leesangboo@gmail.com)
 * 
 *  http://www.jdesigner.org/
 *  
 *  Please contact if you require licensing terms other
 *  than GPL-3 for this software.
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

package org.jdesigner.application.template.service.impl;

import java.util.List;
import java.util.Map;

import org.jdesigner.platform.data.Page;
import org.jdesigner.platform.exception.DatabaseException;

import org.jdesigner.application.template.dao.CodeDAO;
import org.jdesigner.application.template.service.CommonCodeService;
import org.jdesigner.application.template.service.CommonServiceException;

/**
 * CommonCodeServiceImpl
 * 
 * @author leesangboo
 * 
 */
public class CommonCodeServiceImpl implements CommonCodeService {

	private CodeDAO codeDAO;

	public CommonCodeServiceImpl() {
		this.codeDAO = new CodeDAO();
	}

	public void deleteCode(Map params) throws CommonServiceException {
		this.codeDAO.deleteCode(params);
	}

	public void insertCode(Map params) throws CommonServiceException {
		this.codeDAO.insertCode(params);
	}

	public Page selectCodePage(Map params, int start, int range, String sort, boolean desc) throws CommonServiceException {
		return this.codeDAO.selectCodePage(params, start, range, sort, desc);
	}

	public void updateCode(Map params) throws CommonServiceException {
		this.codeDAO.updateCode(params);

	}

	public List selectCodeGroupOptionList() throws CommonServiceException {
		return this.codeDAO.selectCodeGroupOptionList();
	}

	public List selectLanguageList() throws CommonServiceException {
		return this.codeDAO.selectLanguageList();
	}

	public Map selectCode(Map params) throws CommonServiceException {
		return this.codeDAO.selectCode(params);
	}

	public Map selectCodeGroup(Map params) throws CommonServiceException {
		return this.codeDAO.selectCodeGroup(params);
	}

	public Page selectCodeGroupPage(Map params, int start, int range, String sort, boolean desc) throws CommonServiceException {
		return this.codeDAO.selectCodeGroupPage(params, start, range, sort, desc);
	}

	public void deleteCodeGroup(Map params) throws CommonServiceException {
		this.codeDAO.deleteCodeGroup(params);
	}

	public void insertCodeGroup(Map params) throws DatabaseException {
		this.codeDAO.insertCodeGroup(params);

	}

	public void updateCodeGroup(Map params) throws DatabaseException {
		this.codeDAO.updateCodeGroup(params);
	}

}
