/*
 *  JDesigner (R) Web Application Development Platform 
 *  Copyright (C) 2010 JDesigner / SangBoo Lee (leesangboo@gmail.com)
 * 
 *  http://www.jdesigner.org/
 *  
 *  Please contact if you require licensing terms other
 *  than GPL-3 for this software.
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package org.jdesigner.application.template.service.impl;

import java.util.List;
import java.util.Map;

import org.jdesigner.application.template.dao.HomeDAO;
import org.jdesigner.application.template.service.CommonServiceException;
import org.jdesigner.application.template.service.HomeService;

public class HomeServiceImpl implements HomeService {

	private HomeDAO home_dao;

	public HomeServiceImpl() {
		home_dao = new HomeDAO();
	}

	public List getLeftWebTopLetList(Map params) throws CommonServiceException {
		return home_dao.selectLeftWebTopLetList(params);
	}

	public List getRightWebTopLetList(Map params) throws CommonServiceException {
		return home_dao.selectRightWebTopLetList(params);
	}

	public List selectUndselectedWebTopLetList(Map params) throws CommonServiceException {
		return home_dao.selectUndselectedWebTopLetList(params);
	}

	public void saveWebTopLetLayout(String username, String column_align, List webtoplet_list, boolean is_delete) throws CommonServiceException {
		home_dao.saveWebTopLetLayout(username, column_align, webtoplet_list, is_delete);
	}

	public void closeWebTopLet(String username, Map params) throws CommonServiceException {
		home_dao.closeWebTopLet(username, params);
	}

}
