/*
 *  JDesigner (R) Web Application Development Platform 
 *  Copyright (C) 2010 JDesigner / SangBoo Lee (leesangboo@gmail.com)
 * 
 *  http://www.jdesigner.org/
 *  
 *  Please contact if you require licensing terms other
 *  than GPL-3 for this software.
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package org.jdesigner.application.template.service.impl;

import java.util.List;
import java.util.Map;

import org.jdesigner.platform.data.Page;

import org.jdesigner.application.template.dao.PortletDAO;
import org.jdesigner.application.template.service.CommonServiceException;
import org.jdesigner.application.template.service.PortletService;

public class PortletServiceImpl implements PortletService {

	private PortletDAO portlet_dao;

	public PortletServiceImpl() {
		portlet_dao = new PortletDAO();
	}

	public Page selectPortletPage(Map params, int start, int range, String sort, boolean desc) throws CommonServiceException {
		return portlet_dao.selectPortletPage(params, start, range, sort, desc);
	}

	public List selectPortletList(Map params) throws CommonServiceException {
		return portlet_dao.selectPortletList(params);
	}

	public Map selectPortletMap(Map params) throws CommonServiceException {
		return portlet_dao.selectPortletMap(params);
	}

	public void insertPortlet(Map params) throws CommonServiceException {
		portlet_dao.insertPortlet(params);
	}

	public void updatePortlet(Map params) throws CommonServiceException {
		portlet_dao.updatePortlet(params);
	}

	public void deletePortlet(Map params) throws CommonServiceException {
		portlet_dao.deletePortlet(params);
	}
}
