/*
 *  JDesigner (R) Web Application Development Platform 
 *  Copyright (C) 2010 JDesigner / SangBoo Lee (leesangboo@gmail.com)
 * 
 *  http://www.jdesigner.org/
 *  
 *  Please contact if you require licensing terms other
 *  than GPL-3 for this software.
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package org.jdesigner.application.template.web.listener;

import javax.servlet.ServletContextEvent;
import javax.servlet.ServletContextListener;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

import org.jdesigner.application.template.service.CommonServiceFactory;
import org.jdesigner.application.template.service.factory.MenuSingletoneFactory;

/**
 * MenuLoaderListener
 * 
 * @author leesangboo
 * 
 */
public class MenuLoaderListener implements ServletContextListener {

	private static final Log log = LogFactory.getLog(MenuLoaderListener.class);

	/*
	 * (non-Javadoc)
	 * 
	 * @seejavax.servlet.ServletContextListener#contextDestroyed(javax.servlet. ServletContextEvent)
	 */
	public void contextInitialized(ServletContextEvent event) {
		MenuSingletoneFactory factory = MenuSingletoneFactory.getInstance();
		if (factory.getMenuTreeList() == null) {
			factory.setMenuTreeList(CommonServiceFactory.getMenuService().selectFullMenuTreeList());
			log.info("Application all menu loaded.");
		}
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see javax.servlet.ServletContextListener#contextInitialized(javax.servlet .ServletContextEvent)
	 */
	public void contextDestroyed(ServletContextEvent arg0) {
		//
	}

}
