/*
 *  JDesigner (R) Web Application Development Platform 
 *  Copyright (C) 2010 JDesigner / SangBoo Lee (leesangboo@gmail.com)
 * 
 *  http://www.jdesigner.org/
 *  
 *  Please contact if you require licensing terms other
 *  than GPL-3 for this software.
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package org.jdesigner.application.template.web.system;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

import org.jdesigner.platform.web.form.Form;
import org.jdesigner.platform.web.grid.Grid;

import org.jdesigner.application.template.service.CommonServiceFactory;
import org.jdesigner.application.template.service.SecurityService;
import org.jdesigner.application.template.service.UserService;
import org.jdesigner.application.template.web.TemplateBaseActionBean;

/**
 * 다이알로그 액션 빈
 * 
 * @author leesangboo
 * 
 */
public class DialogBean extends TemplateBaseActionBean {

	private static final long serialVersionUID = 1L;

	private static final Log log = LogFactory.getLog(DialogBean.class);

	private UserService user_service;
	private SecurityService security_service;

	private Form auth_group_search;
	private Grid auth_group_grid;

	private Form auth_role_search;
	private Grid auth_role_grid;

	public DialogBean() {
		init(); //
	}

	public void init() {
		log.info("ActionBean[" + this.getClass() + "] initialize...");
		//
		user_service = CommonServiceFactory.getUserService();
		security_service = CommonServiceFactory.getSecurityService();
		//
		auth_group_search = new Form();
		auth_group_grid = new Grid();
		//
		auth_role_search = new Form();
		auth_role_grid = new Grid();
	}

	public String findAuthGroup() throws Exception {
		return SUCCESS;
	}

	public String findAuthGroupGrid() throws Exception {
		auth_group_grid = new Grid(security_service.selectAuthGroupPage(auth_group_search, auth_group_grid.getStart(), auth_group_grid.getRange(), auth_group_grid.getSort(), auth_group_grid.isDesc()));
		return Grid.FORWARD;
	}

	public String findAuthRole() throws Exception {
		return SUCCESS;
	}

	public String findAuthRoleGrid() throws Exception {
		auth_role_grid = new Grid(security_service.selectAuthRolePage(auth_role_search, auth_role_grid.getStart(), auth_role_grid.getRange(), auth_role_grid.getSort(), auth_role_grid.isDesc()));
		return Grid.FORWARD;
	}

	public Grid getAuth_group_grid() {
		return auth_group_grid;
	}

	public void setAuth_group_grid(Grid auth_group_grid) {
		this.auth_group_grid = auth_group_grid;
	}

	public Form getAuth_group_search() {
		return auth_group_search;
	}

	public void setAuth_group_search(Form auth_group_search) {
		this.auth_group_search = auth_group_search;
	}

	public Grid getAuth_role_grid() {
		return auth_role_grid;
	}

	public void setAuth_role_grid(Grid auth_role_grid) {
		this.auth_role_grid = auth_role_grid;
	}

	public Form getAuth_role_search() {
		return auth_role_search;
	}

	public void setAuth_role_search(Form auth_role_search) {
		this.auth_role_search = auth_role_search;
	}

	public SecurityService getSecurity_service() {
		return security_service;
	}

	public void setSecurity_service(SecurityService security_service) {
		this.security_service = security_service;
	}

	public UserService getUser_service() {
		return user_service;
	}

	public void setUser_service(UserService user_service) {
		this.user_service = user_service;
	}

}
