/*
 * JDesigner (R) Web Application Development Platform 
 * Copyright (C) 2010 JDesigner / SangBoo Lee (leesangboo@gmail.com)
 * 
 * http://www.jdesigner.org/
 *  
 *  Please contact if you require licensing terms other
 *  than GPL-3 for this software.
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

package org.jdesigner.platform.context;

import java.util.Date;

/**
 * ApplicationContext
 * 
 * @author leesangboo
 * 
 */
public class ApplicationContext {

	private String wasName;

	private String appPath;

	private String servletVersion;

	private ApplicationConfig ApplicationConfig;

	private Date startDate;

	public ApplicationContext(ApplicationConfig applicationConfig, String wasName, String appPath, String servletVersion) {
		super();

		this.ApplicationConfig = applicationConfig;

		this.wasName = wasName;
		this.appPath = appPath;
		this.servletVersion = servletVersion;
	}

	public String getWasName() {
		return wasName;
	}

	public void setWasName(String wasName) {
		this.wasName = wasName;
	}

	public String getAppPath() {
		return appPath;
	}

	public void setAppPath(String appPath) {
		this.appPath = appPath;
	}

	public String getServletVersion() {
		return servletVersion;
	}

	public void setServletVersion(String servletVersion) {
		this.servletVersion = servletVersion;
	}

	public Date getStartDate() {
		return startDate;
	}

	public void setStartDate(Date startDate) {
		this.startDate = startDate;
	}

	public ApplicationConfig getApplicationConfig() {
		return ApplicationConfig;
	}

	public void setApplicationConfig(ApplicationConfig applicationConfig) {
		ApplicationConfig = applicationConfig;
	}

}
