/*
 * JDesigner (R) Web Application Development Platform 
 * Copyright (C) 2010 JDesigner / SangBoo Lee (leesangboo@gmail.com)
 * 
 * http://www.jdesigner.org/
 *  
 *  Please contact if you require licensing terms other
 *  than GPL-3 for this software.
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

package org.jdesigner.platform.context;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

/**
 * 
 * ApplicationContextFactory
 * 
 * @author leesangboo
 * 
 */
public class ApplicationContextFactory {

	private static final Log log = LogFactory.getLog(ApplicationContextFactory.class);

	private static class ApplicationContextFactoryHolder {
		static ApplicationContextFactory instance = new ApplicationContextFactory();
	}

	public static ApplicationContextFactory getInstance() {
		return ApplicationContextFactoryHolder.instance;
	}

	private ApplicationContext applicationContext;

	/**
	 * return ApplicationContext
	 * 
	 * @return
	 */
	public ApplicationContext getApplicationContext() {
		if (applicationContext != null) {
			return applicationContext;
		} else {
			log.error("ApplicationContext Not Initialized : Make sure you have a mapping in web.xml ApplicationContextListener.");
			return null;
		}
	}

	public void setApplicationContext(ApplicationContext applicationContext) {
		this.applicationContext = applicationContext;
	}

}
