/*
 * JDesigner (R) Web Application Development Platform 
 * Copyright (C) 2010 JDesigner / SangBoo Lee (leesangboo@gmail.com)
 * 
 * http://www.jdesigner.org/
 *  
 *  Please contact if you require licensing terms other
 *  than GPL-3 for this software.
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

package org.jdesigner.platform.data;

import java.util.HashMap;
import java.util.Map;

/**
 * Array Value Map
 * 
 * @author leesangboo
 * 
 */
public class ArrayMap extends HashMap implements Map {

	private static final long serialVersionUID = 1L;

	/**
	 * Array Map 생성자
	 * 
	 * @param map
	 */
	public ArrayMap(Map map) {
		super(map);
	}

	/**
	 * String[] 값을 반환한다.
	 * 
	 * @param key
	 * @return
	 */
	public String[] getStringArray(String key) {
		if (this.containsKey(key)) {
			if (this.get(key).getClass().isArray()) {
				String[] array = (String[]) this.get(key);
				return array;
			} else {
				String value = (String) this.get(key);
				return new String[] { value };
			}
		} else {
			return null;
		}
	}
}
