/*
 *  JDesigner (R) Web Application Development Platform 
 *  Copyright (C) 2010 JDesigner / SangBoo Lee (leesangboo@gmail.com)
 * 
 *  http://www.jdesigner.org/
 *  
 *  Please contact if you require licensing terms other
 *  than GPL-3 for this software.
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package org.jdesigner.platform.db.parameter;

import java.sql.Connection;
import java.sql.SQLException;
import java.util.Map;

import org.jdesigner.platform.exception.DatabaseException;

/**
 * <B>BindParamHandler</B>
 * 
 * @author leesangboo
 * 
 */
public interface ParameterBinder {

	/**
	 * 바인딩할 파라메터를 핸들링한다.
	 * 
	 * @param conn
	 * @param params
	 * @return
	 * @throws DatabaseException
	 */
	public Object[] bind(Connection conn, Object[] params) throws SQLException;

	/**
	 * 바인딩할 파라메터를 핸들링한다.
	 * 
	 * @param conn
	 * @param params
	 * @return
	 * @throws DatabaseException
	 */
	public Map bind(Connection conn, Map params) throws SQLException;

}
