/*
 *  JDesigner (R) Web Application Development Platform 
 *  Copyright (C) 2010 JDesigner / SangBoo Lee (leesangboo@gmail.com)
 * 
 *  http://www.jdesigner.org/
 *  
 *  Please contact if you require licensing terms other
 *  than GPL-3 for this software.
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package org.jdesigner.platform.db.query;

import java.util.Map;

import org.jdesigner.platform.db.processor.TableQueryProcessor;
import org.jdesigner.platform.db.session.Session;

/**
 * <B>Table Query</B>
 * 
 * 
 * @author leesangboo
 * 
 */
public interface TableQuery {

	public Session getSession();

	/**
	 * Query 실행을 위한 프로세서를 반환한다.
	 * 
	 * @return
	 */
	public TableQueryProcessor execute();

	public boolean isOnlyParamKeyBinding();

	public void setOnlyParamKeyBinding(boolean onlyParamKeyBinding);

	public String[] getPrimaryKeys();

	public void setPrimaryKeys(String[] primaryKeys);

	public String[] getProcessTargetColumns();

	public void setProcessTargetColumns(String[] processTargetColumns);

	public String getTableName();

	public void setTableName(String tableName);

	public Map getParameters();

	public void setParameters(Map parameters);

	public void addParameter(String key, Object value);

	public void removeParameter(String key);

}
