/*
 *  JDesigner (R) Web Application Development Platform 
 *  Copyright (C) 2010 JDesigner / SangBoo Lee (leesangboo@gmail.com)
 * 
 *  http://www.jdesigner.org/
 *  
 *  Please contact if you require licensing terms other
 *  than GPL-3 for this software.
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

package org.jdesigner.platform.web.json;

import java.util.HashMap;
import java.util.Map;

/**
 * JSON Result
 * 
 * @author leesangboo
 * 
 */
public class JSONResult extends HashMap implements Map {

	private static final long serialVersionUID = 1L;

	public static final String SUCCESS = "success";

	public static final String ERROR = "error";

	private static final String STATUS_KEY = "status";

	private static final String MESSAGE_KEY = "message";

	/**
	 * JSON Result
	 */
	public JSONResult() {
		super();
	}

	/**
	 * JSON Result
	 * 
	 * @param map
	 */
	public JSONResult(Map map) {
		super(map);
	}

	/**
	 * JSON Result 상태를 반환한다.
	 * 
	 * @return
	 */
	public String getStatus() {
		return ((String) super.get(STATUS_KEY));
	}

	/**
	 * JSON Result 상태를 설정한다.
	 * 
	 * @return
	 */
	public void setStatus(String status) {
		super.put(STATUS_KEY, status);
	}

	/**
	 * JSON Result 메세지를 반환한다.
	 * 
	 * @return
	 */
	public String getMessage() {
		return ((String) super.get(MESSAGE_KEY));
	}

	/**
	 * JSON Result 메세지를 설정한다.
	 * 
	 * @param message
	 */
	public void setMessage(String message) {
		super.put(MESSAGE_KEY, message);
	}

}
