/*
 *  JDesigner (R) Web Application Development Platform 
 *  Copyright (C) 2010 JDesigner / SangBoo Lee (leesangboo@gmail.com)
 * 
 *  http://www.jdesigner.org/
 *  
 *  Please contact if you require licensing terms other
 *  than GPL-3 for this software.
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

package org.jdesigner.platform.web.multipart;

import java.io.File;

public class BaseFileRenameHandler implements FileRenameHandler {

	public File renameFile(String dir, String fileName) throws Exception {

		File sourceFile = new File(dir, fileName);
		File targetFile = null;
		if (sourceFile.exists()) {
			for (int count = 1; count < 1000; count++) {
				String body = null;
				String ext = null;
				int dot = fileName.lastIndexOf(".");
				if (dot != -1) {
					body = fileName.substring(0, dot);
					ext = fileName.substring(dot);
				} else {
					body = fileName;
					ext = "";
				}
				String newFileName = body + "_" + count + ext;
				targetFile = new File(dir, newFileName);
				if (!targetFile.exists()) {
					break;
				}
			}

		} else {
			targetFile = sourceFile;
		}
		return targetFile;
	}
}
