/*
 *  JDesigner (R) Web Application Development Platform 
 *  Copyright (C) 2010 JDesigner / SangBoo Lee (leesangboo@gmail.com)
 * 
 *  http://www.jdesigner.org/
 *  
 *  Please contact if you require licensing terms other
 *  than GPL-3 for this software.
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package org.jdesigner.platform.web.tag.html;

import javax.servlet.jsp.JspWriter;
import javax.servlet.jsp.tagext.TagSupport;

import org.jdesigner.platform.web.tag.JSPTagException;
import org.jdesigner.platform.web.tag.TagConstants;

public class FormValidationTag extends TagSupport implements TagConstants {

	private static final long serialVersionUID = 1L;

	private String formId = "";

	private boolean validate = true;

	public int doStartTag() {
		StringBuffer sb = null;
		try {

			// HttpServletRequest request = (HttpServletRequest)
			// pageContext.getRequest();
			JspWriter out = pageContext.getOut();

			sb = new StringBuffer();
			if (validate) {
				sb.append(SCRIPT_TAG_START);
				sb.append("createFormValidation('" + formId + "');");
				sb.append(SCRIPT_TAG_END);
			}
			out.println(sb);
		} catch (Exception e) {
			throw new JSPTagException(e.getMessage(), e);
		}
		return EVAL_BODY_INCLUDE;
	}

	public int doEndTag() {
		return EVAL_PAGE;
	}

	public String getFormId() {
		return formId;
	}

	public void setFormId(String formId) {
		this.formId = formId;
	}

	public boolean isValidate() {
		return validate;
	}

	public void setValidate(boolean validate) {
		this.validate = validate;
	}

}
