/*
 *  JDesigner (R) Web Application Development Platform 
 *  Copyright (C) 2010 JDesigner / SangBoo Lee (leesangboo@gmail.com)
 * 
 *  http://www.jdesigner.org/
 *  
 *  Please contact if you require licensing terms other
 *  than GPL-3 for this software.
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package org.jdesigner.platform.web.tag.html;

import org.jdesigner.platform.util.StringUtils;
import org.jdesigner.platform.web.tag.JSPTagException;

/**
 * TextTag
 * 
 * @author leesangboo
 * 
 */
public class TextTag extends ExtendedBaseFieldTag {

	private static final long serialVersionUID = 1L;

	public TextTag() {
		super();
		this.type = "text";
		doReadonly = true;
	}

	private String mask = "";

	public String getDataType() {
		return "text";
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see org.jdesigner.platform.web.tag.html.ExtendedBaseFieldTag#getSupportScript ()
	 */
	public String getSupportScript() {
		StringBuffer sb = null;
		try {
			String maskPattern = mask;
			sb = new StringBuffer();
			if (StringUtils.isNotEmpty(mask)) {
				sb.append(SCRIPT_TAG_START);
				sb.append("   window.addEvent('domready', function(){ ");
				sb.append("   	  var _input_mask_" + property.replaceAll("\\.", "_") + " = new InputMask('" + maskPattern + "', '" + property + "'); ");
				sb.append("    }); ");
				sb.append(SCRIPT_TAG_END);
			}
			return sb.toString();
		} catch (Exception e) {
			throw new JSPTagException(e.getMessage(), e);
		}
	}

	public String getMask() {
		return mask;
	}

	public void setMask(String mask) {
		this.mask = mask;
	}

}
