/*
 *  JDesigner (R) Web Application Development Platform 
 *  Copyright (C) 2010 JDesigner / SangBoo Lee (leesangboo@gmail.com)
 * 
 *  http://www.jdesigner.org/
 *  
 *  Please contact if you require licensing terms other
 *  than GPL-3 for this software.
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package org.jdesigner.platform.web.tag.ui.template;

import java.util.HashMap;
import java.util.Map;

/**
 * Page
 * 
 * @author leesangboo
 * 
 */
public class UITemplateModel {

	private String template;

	private Object bean = null;

	private Map root = new HashMap();

	/**
	 * 페이지 생성자
	 * 
	 * @param template
	 * @param root
	 */
	public UITemplateModel(String template) {
		super();
		this.template = template;
	}

	/**
	 * 페이지 생성자
	 * 
	 * @param template
	 * @param root
	 */
	public UITemplateModel(String template, Map root) {
		super();
		this.template = template;
		this.root = root;
	}

	public String getTemplate() {
		return template;
	}

	public void setTemplate(String template) {
		this.template = template;
	}

	public void setRoot(Map root) {
		this.root = root;
	}

	public void put(String name, Object value) {
		put(name, value, "");
	}

	public void put(String name, int value) {
		put(name, value, 0);
	}

	public void put(String name, Object value, String replace) {
		Object reValue = (value == null || value.equals("")) ? replace : value;
		root.put(name, reValue);
	}

	public void put(String name, int value, int replace) {
		int reValue = (value == 0) ? replace : value;
		root.put(name, new Integer(reValue));
	}

	public void put(String name, double value) {
		root.put(name, new Double(value));
	}

	public void put(String name, boolean value) {
		root.put(name, new Boolean(value));
	}

	public Map getRoot() {
		return root;
	}

	public Object getBean() {
		return bean;
	}

	public void setBean(Object bean) {
		this.bean = bean;
	}

}
