/*
 *  JDesigner (R) Web Application Development Platform 
 *  Copyright (C) 2010 JDesigner / SangBoo Lee (leesangboo@gmail.com)
 * 
 *  http://www.jdesigner.org/
 *  
 *  Please contact if you require licensing terms other
 *  than GPL-3 for this software.
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package org.jdesigner.platform.web.test;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.apache.struts.action.ActionErrors;
import org.apache.struts.action.ActionMessage;
import org.apache.struts.action.ActionMessages;

import org.jdesigner.platform.web.ActionBean;
import org.jdesigner.platform.web.ActionBeanContext;
import org.jdesigner.platform.web.ActionEvent;

public class TestActionBean extends ActionBean {

	private static final long serialVersionUID = 1L;

	private static final Log log = LogFactory.getLog(TestActionBean.class);

	public TestActionBean() {
	}

	/**
	 * 
	 * @return
	 * @throws Exception
	 */
	public String actionMethodName() throws Exception {

		ActionBeanContext context = getActionBeanContext();

		// Action Context Variable
		ActionEvent event = getActionEvent();
		ActionMessages messages = getActionMessages();
		ActionErrors errors = getActionErrors();

		// Messages & Errors
		messages.add("msg1", new ActionMessage("header.title"));
		errors.add("err1", new ActionMessage("system.error"));

		// ActionBean
		log.info(context.getRequest());
		log.info(context.getResponse());

		// HTTP Context
		log.info(context.getApplicationMap().put("key", "value"));
		log.info(context.getSessionMap().put("key", "value"));
		log.info(context.getCookieMap().put("key", "value"));

		// ActionEvent
		log.info(event.getLocale());
		log.info(event.getMessageResources());
		log.info(event.getMultipartErrorMessage());
		log.info(event.getValidateErrorMessages());
		log.info(event.isCancelled() + "");
		log.info(event.hasMultipartError() + "");
		log.info(event.hasValidateError() + "");

		return SUCCESS;
	}

}
